# Terminology

`callbackName` is used to define the callback function, as follow:

* Request Device Configuration = 1
* Configure Device Configuration = 2
* Request Accessory Names = 3
* Configure Accessory Names = 4
* Restart InvisOutlet = 5
* Reset InvisOutlet's Network Settings = 6
* Reset InvisOutlet to Factory Defaults = 7
* Fetch Outlet Status = 9
* Outlet Control = 10
* Fetch Sensor Data = 11
* Request Device Information = 12
* Nightlight Control = 14
* Fetch Nightlight Status = 15
* Request Available Updates = 20
* Perform OTA Update = 21
* OTA Download Progress Update = 22
* OTA Result Update = 23
* Restart InvisDeco = 24
* Reset InvisDeco = 25
* Occupancy Sensor Calibration = 26


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.intecular.com/invisoutlet-pro/api-reference/terminology.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
